#toplevel_page_shm_tracks_page .wp-menu-image img 
{
    padding-top: 3px;
    width: 28px;
    height: 28px;
}
.shmapper-track-map
{
	width:100%;
	height:150px;
}
.shm-track-dnld-gpx-btn
{
	font-size:.7rem;
	border:1px solid #00000040;
	opacity:0;
	padding:2px 10px;
	margin: 1px;
	cursor:pointer;
	-webkit-transition: all 400ms ease-out;
	-moz-transition: all 400ms ease-out;
	-ms-transition: all 400ms ease-out;
	-o-transition: all 400ms ease-out;
	transition: all 400ms ease-out;
}
.shm-track-dnld-gpx-btn:hover
{
	background-color:#00000020;
	opacity:1;
}
.shm-track-li
{
	opacity:0.8; 
	-webkit-transition: all 200ms ease-out;
	-moz-transition: all 200ms ease-out;
	-ms-transition: all 200ms ease-out;
	-o-transition: all 200ms ease-out;
	transition: all 200ms ease-out;
}
.shm-track-li:hover
{
	opacity:1;
	background-color:#00000005;
}
.shm-track-li:hover .shm-track-dnld-gpx-btn
{
	opacity:0.75;
}
.shmapper-track-input-form
{
	
}
.shm-track-marker-icon-img
{
	z-index:-1; 
	position:absolute;
	top:-4px; 
	left:-4px;
}
.shm-track-marker-icon-descr
{
	position:relative;
	margin-top:0;
	margin-left:-4px;
	background-color:#FFFFFFAA;
	font-size:10px;
	font-weight:bold;
	padding:3px;
}
.shm-track-marker-icon:hover .shm-track-marker-icon-descr
{
	background-color:#FF0000;
}
.shm-form-track 
{
    padding: 0;
    position: relative;
    border: 1px solid #BBB;
    background-color: #EEE;
    margin: 0 0 5px 0;
    font-size: 1rem;
    color: #a5a2a2;
    height: 63px;
    display: flex;
    overflow: hidden;
    width: 100%;
	display:flex;
	align-items:center;
	-webkit-transition: all 700ms ease-out;
	-moz-transition: all 700ms ease-out;
	-ms-transition: all 700ms ease-out;
	-o-transition: all 700ms ease-out;
	transition: all 700ms ease-out;
}
.shm-track-pult,
.shm-track-error
{
	display:none;
	width:50%;
	overflow:hidden; 
    margin: 0 0 5px 2px;
	-webkit-transition: all 300ms ease-out;
	-moz-transition: all 300ms ease-out;
	-ms-transition: all 300ms ease-out;
	-o-transition: all 300ms ease-out;
	transition: all 300ms ease-out;
	
}
.shm-track-error
{
	
	background-color:#FF0000;
	display:none;
	width:75%;
    margin: 0 0 5px 2px;
	color:#FFF;
	text-align:center;
	padding-top:7px;
	
}
.shm-form-track:hover
{
	background-color:#DDD;
	color: #111;
}
.shm-form-track > input[type=file]
{
	position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0;
}
.shmapper_tracks_edit,
.shmapper_tracks_upld
{
    font-size: 1rem;
    padding: 0;
    background-color: #EEE;
    border: 1px solid #BBB;
	color: #a5a2a2;
    border-radius: 2px;
    cursor: pointer;
    margin-left: 3px;
    margin-bottom: 4px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center; 
	width: 100%;
	flex-grow:100;
	height: 63px;
	-webkit-transition: all 500ms ease-out;
	-moz-transition: all 500ms ease-out;
	-ms-transition: all 500ms ease-out;
	-o-transition: all 500ms ease-out;
	transition: all 500ms ease-out;
}
.shmapper_tracks_edit:hover,
.shmapper_tracks_upld:hover
{
	background-color: #DDD;    
	color: #111;
}
.shmapper_tracks_edit.active
{
	opacity:0.25;
}
.shmapper_tracks_edit > .button,
label.shm_nowrap.button
{
	width:100%;
	height:100%;
	margin:0;
}
.shm-track-upload-cont
{
	width: 100%;	
	flex-grow: 100;
	display: flex;
	-webkit-transition: all 500ms ease-out;
	-moz-transition: all 500ms ease-out;
	-ms-transition: all 500ms ease-out;
	-o-transition: all 500ms ease-out;
	transition: all 500ms ease-out;
}
.shm-w-50
{
	width:50%!important;
}
.shm-w-100
{
	width:100%!important;
}
.min-width-420
{
	min-width:420px;
}
.shm-padding-x-20
{
	padding-left:20px!important;
	padding-right:20px!important;
}
.shm-margin-x-20
{
	margin-left:20px!important;
	margin-right:20px!important;
}
.shm-track-list-btn
{
	font-size:0.75rem;
	flex-grow: 1000;
}
.shm-track-list-btn:focus,
.shm-track-list-btn:active
{
	-webkit-box-shadow: none;
	box-shadow:none;
	outline: none;
}
.shm-modal-map
{
	
} 
.shm-descr-pult
{
	margin-top: 8px;
    margin-bottom: 4px;
	margin-left: 20px!important;
    margin-right: 20px!important;
	flex-direction: column;
    display: flex;
    justify-content: center;
	opacity: 0.7;
    font-size: 0.75rem; 
    vertical-align: top; 
	width: 100%;
}
.subdialog
{
	z-index:2000010;
	position:relative;
	position:fixed;
	top:0;
	left:0;
	width:100vw;
	height:100vh;
	display:flex;
	flex-direction:column;
	justify-content:center;
	align-items:center;
}
.subdialog-matter
{
	background-color:#00000080;	
	position:relative;
	position:fixed;
	top:0;
	left:0;
	width:100vw;
	height:100vh;
}
.subdialog-body
{    
	position: relative;
	background-color:#EEE;
	width:100%;
	max-width:620px;
	max-height:420px;
	height:100%;
	border:1px solid #999;
	z-index:1;
	-webkit-box-shadow: 0 5px 7px 0 rgba(0,0,0,.25);
	box-shadow: 0 5px 7px 0 rgba(0,0,0,.25);
	font-size: 1.3rem;
    font-weight: 100;
    font-family: sans-serif;
	padding:20px;
	display:flex;
	flex-direction:column;
} 
.subdialog-close 
{
	width: 25px;
    height: 25px;
    cursor: pointer;
    background-image: url(../img/close.svg);
    background-size: 21px 21px;
    background-position: center center;
    float: right;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
}
.subdialog-title
{
	width:100%;
	margin-bottom:1.5px;
	font-size:2rem;
	flex-grow:1;
}
.subdialog-content
{
	flex-grow:1000;
    overflow-y: auto;
}
.subdialog-footer
{
	width:100%;
	margin-bottom:1.5px;
	font-size:2rem;
	flex-grow:1;
}